/**
 * 业务信息
 * */
// $("#KeyWords").blur(function(){
// 	ischeckNum();
// })
// function sd(){
//         $("#KeyWords").val("");
//         };
//         function ischeckNum() {
//             var num = document.getElementById('KeyWords').value;
//             if( num ){
//                 if( !isNaN( num ) ){
//                     if(num.length>11){
//                         sd();
// 						$("#span").css("color","red").html("输入的物料编码大于11位，请输入11位编码");
//                     }else if(num.length<11 && num.length>0){
//                         sd();
// 						$("#span").css("color","red").html("输入的物料编码小于11位，请输入11位的编码！");
//                     }
//                     return false;
//                 }else{
// 					$("#span").css("color","red").html("请输入11位纯数字");
//                     sd();
//                  return false;
//         }
//         }else{
//             $("#span").css("color","red").html("编码不能为空"); 
//         }
//         }


$(document).ready(function() {
	//初始化时间
	laydate.render({
		elem: '#sc_time',
		range: '~',
		theme: '#1ab394',
		calendar: true
	});
	
	initTable();
	
	$("#sc_btns").click(function() {
		initTable();
	});

});


//列表
function initTable() {
	//先销毁表格
	$('#workorderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#workorderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "MaterialManage/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageindex: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageindex,// int 页码，默认为1	
				pagesize: params.pageSize,// int 条数，默认为10
				MaterialCode: $("#KeyWords").val(),
				MaterialName: $("#Keys").val(),
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//格式化内容
function formatterContent(val){
	var content = '-';
	if(val){
		content = decodeURIComponent(val);
		content = helper.filter.filterHTMLTag(content);
		if(content.length > 60) {
			content = content.substring(0, 60) + '...';
		}
	}
	return content;
}


//格式化 备注
function formatterDetail(val) {
	if(val) {
		var strD = decodeURIComponent(val);
		strD = helper.filter.filterHTMLTag(strD);
		if(strD.length > 10) {
			strD = strD.substring(0, 10) + '...';
		}
		return strD;
	}

}

//格式化操作
function formatterOprate(val) {
	return '<ul class="tool_downs">' +
						'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_detail_' + val + '" onclick="btn_detail(' + val + ')" title="详情">详情</a></li>' +
						'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_edit_' + val + '" onclick="btn_edit(' + val + ')" title="编辑">编辑</a></li>' +
						'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + val + '" onclick="btn_delete(' + val + ')" title="删除">删除</a></li>' +
					'</ul>';
}

//添加
function btn_add(){
	layer.open({
		type: 2,
		title: '添加物料信息',
		maxmin: true, //开启最大化最小化按钮
		shade: 0,
		area: ['80%', '90%'],
		content: 'template/addOrEditMateriel.html'
	});
}

//详情
function btn_detail(editId){
	layer.open({
		type: 2,
		title: '物料详情',
		maxmin: true, //开启最大化最小化按钮
		shade: 0,
		area: ['50%', '60%'],
		content: 'template/deteMateriel.html?edit_id=' + editId
	});
}

//编辑
function btn_edit(editId){
	layer.open({
		type: 2,
		title: '编辑物料信息',
		maxmin: true, //开启最大化最小化按钮
		shade: 0,
		area: ['80%', '90%'],
		content: 'template/addOrEditModify.html?edit_id='+editId
	});
}

//导入
function btn_export() {
	layer.open({
		maxmin: true, //开启最大化最小化按钮
		type: 2,
		content: "import.html", //iframe的url，no代表不显示滚动条
		title: '导入信息',
		area: ['50%', '55%'], //宽高
	});
}

//批量删除
function btn_deletes() {
	var ids = $.map($('#workorderlist').bootstrapTable('getSelections'),
		function(row) {
			return row.F_Id;
		});
	/*判断长度*/
	if (ids.length <= 0) {
		layer.confirm('请选择要删除的选项', {
			icon: 7,
			btn: ['确定'] //按钮
		});
		return;
	}
	btn_delete(ids);
}

//删除
function btn_delete(id) {
	layer.confirm('确定删除当前记录？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "MaterialManage/DelModels",
			dataType: 'json',
			async: true,
			data: {
				ids: id,
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				$('#workorderlist').bootstrapTable('refresh');
				layer.close(index);
			}
		});
	});
}
